/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../shaderprogram.h"
#include "../texture.h"

typedef struct {
  shaderprogram_t program;
  texture_t texture;

  shaderuniform_t uniProjection;
  shaderuniform_t uniModel;
  shaderuniform_t uniTexture;
  shaderuniform_t uniColor;
} uishader_t;

void shaderUiInit(shaderprogram_t *program);